// Задача "Купол"
// 4-ая Интернет-олимпиада сезона 2007-2008, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Антон Феськов, argentony@gmail.com 

import java.util.*;
import java.io.*;
import java.math.*;

public class dome_af {
	public static void main(String[] args)throws IOException  {
		Scanner in = new Scanner(new File("dome.in"));
		PrintWriter out = new PrintWriter("dome.out");	
		double x1 = in.nextDouble();
		double y1 = in.nextDouble();
		double r1 = in.nextDouble();
		double x2 = in.nextDouble();
		double y2 = in.nextDouble();
		double r2 = in.nextDouble();
		out.print(solve(x1, y1, r1, x2, y2, r2));
		out.close();
	}
	
	public static String solve(double x1, double y1, double r1, double x2, double y2, double r2) {
		if (r1 < r2) {
			return solve(x2, y2, r2, x1, y1, r1);
		}
		if ((r1 - r2) * (r1 - r2) >= (x1 - x2) * (x1 - x2) + (y1 - y2) * (y1 - y2)) {
			return "" + r1 + " " + x1 + " " + y1;
		}
		double x = x2 - x1;
		double y = y2 - y1;
		double l = Math.sqrt(x * x + y * y);
		double a = (1 - ((r1 - r2) / l)) / 2;
		return ((l + r1 + r2) / 2) + " " + (x1 + a * x) + " " + (y1 + a * y);
	}
}
